Browse Source

Installation: ajoute test 'mb_internal_encoding'

Christophe HENRY 3 years ago
parent
commit
cb42647a63
5 changed files with 13 additions and 0 deletions
  1. 5 0
      Install.class.php
  2. 2 0
      locale/en.json
  3. 2 0
      locale/eo.json
  4. 2 0
      locale/es.json
  5. 2 0
      locale/fr.json

+ 5 - 0
Install.class.php

@@ -186,6 +186,11 @@ define('MYSQL_PREFIX','{$this->options['db']['mysqlPrefix']}');
         }else{
             $this->logs['notices'][] = _t('INSTALL_INFO_GD');
         }
+        if (!@function_exists('mb_internal_encoding')){
+            $this->logs['errors'][] = _t('INSTALL_ERROR_MB');
+        }else{
+            $this->logs['notices'][] = _t('INSTALL_INFO_MB');
+        }
         if (@version_compare(PHP_VERSION, '5.1.0') <= 0){
             $this->logs['errors'][] = _t('INSTALL_ERROR_PHPV', array(PHP_VERSION));
         }else{

+ 2 - 0
locale/en.json

@@ -30,6 +30,7 @@
  "INSTALL_ERROR_FILEGET":"The required function 'file_get_contents' is inaccessible on your server, check your version of PHP.",
  "INSTALL_ERROR_FILEPUT":"The required 'file_put_contents' is inaccessible on your server, check your version of PHP.",
  "INSTALL_ERROR_GD":"The required 'gd_info' is inaccessible on your server, check your version of PHP.",
+ "INSTALL_ERROR_MB":"The required 'mb_internal_encoding' is inaccessible on your server, check your version of PHP.",
  "INSTALL_ERROR_MYSQLICONNECT":"The required function 'mysqli_connect' is inaccessible on your server, check your MySql installation.",
  "INSTALL_ERROR_PHPV":"Your PHP version ($1) is too old, it is possible that some features script include malfunctions.",
  "INSTALL_ERROR_PHPXML":"The required 'simplexml_load_file' is inaccessible on your server, check your version of PHP.",
@@ -42,6 +43,7 @@
  "INSTALL_INFO_FILEGET":"Requested function 'file_get_contents' : OK",
  "INSTALL_INFO_FILEPUT":"Requested function 'file_put_contents' : OK",
  "INSTALL_INFO_GD":"Requested function 'gd_info' : OK",
+ "INSTALL_INFO_MB":"Requested function 'mb_internal_encoding' : OK",
  "INSTALL_INFO_MYSQLICONNECT":"Requested function 'mysqli_connect' : OK",
  "INSTALL_INFO_PHPV":"Php version compatibility ($1) : OK",
  "INSTALL_INFO_PHPXML":"Requested function 'simplexml_load_file' : OK",

+ 2 - 0
locale/eo.json

@@ -30,6 +30,7 @@
  "INSTALL_ERROR_FILEGET":"La funkcio nepra 'file_get_contents' ne akceseblas ĉe via servilo, kontrolu vian version de PHP.",
  "INSTALL_ERROR_FILEPUT":"La funkcio nepra 'file_put_contents' ne akceseblas ĉe via servilo, kontrolu vian version de PHP.",
  "INSTALL_ERROR_GD":"La funkcio nepra 'gd_info' ne akceseblas ĉe via servilo, kontrolu vian version de PHP.",
+ "INSTALL_ERROR_MB":"La funkcio nepra 'mb_internal_encoding' ne akceseblas ĉe via servilo, kontrolu vian version de PHP.",
  "INSTALL_ERROR_MYSQLICONNECT":"La funkcio nepra 'mysqli_connect' ne akceseblas ĉe via servilo, kontrolu vian version de MySql.",
  "INSTALL_ERROR_PHPV":"Via versio de PHP ($1) estas tro malnova, eblas ke funkcioj misfunkcias.",
  "INSTALL_ERROR_PHPXML":"La funkcio nepra 'simplexml_load_file' ne akceseblas ĉe via servilo, kontrolu vian version de PHP.",
@@ -42,6 +43,7 @@
  "INSTALL_INFO_FILEGET":"Funkcio nepra 'file_get_contents': bone",
  "INSTALL_INFO_FILEPUT":"Funkcio nepra 'file_put_contents': bone",
  "INSTALL_INFO_GD":"Funkcio nepra 'gd_info': bone",
+ "INSTALL_INFO_MB":"Funkcio nepra 'mb_internal_encoding': bone",
  "INSTALL_INFO_MYSQLICONNECT":"Funkcio nepra 'mysqli_connect': bone",
  "INSTALL_INFO_PHPV":"Kongrueco versio PHP ($1): bone",
  "INSTALL_INFO_PHPXML":"Funkcio nepra 'simplexml_load_file': bone",

+ 2 - 0
locale/es.json

@@ -30,6 +30,7 @@
  "INSTALL_ERROR_FILEGET":"Se necesita la función 'file_get_contents' pero no es disponible sobre el servidor. Verificar su versión de PHP.",
  "INSTALL_ERROR_FILEPUT":"Se necesita la función 'file_put_contents' pero no es disponible sobre el servidor. Verificar su versión de PHP.",
  "INSTALL_ERROR_GD":"Se necesita la función 'gd_info' pero no es disponible sobre el servidor. Verificar su versión de PHP.",
+ "INSTALL_ERROR_MB":"Se necesita la función 'mb_internal_encoding' pero no es disponible sobre el servidor. Verificar su versión de PHP.",
  "INSTALL_ERROR_MYSQLICONNECT":"Se necesita la función 'mysqli_connect' pero no es disponible sobre el servidor. Verificar su versión de PHP.",
  "INSTALL_ERROR_PHPV":"Su versión de PHP ($1) es demasiada antigua, se puede que algunas funcionalidades del script no funcionan.",
  "INSTALL_ERROR_PHPXML":"Se necesita la función 'simplexml_load_file' pero no es disponible sobre el servidor. Verificar su versión de PHP.",
@@ -42,6 +43,7 @@
  "INSTALL_INFO_FILEGET":"Función necesaria 'file_get_contents' : OK",
  "INSTALL_INFO_FILEPUT":"Función necesaria 'file_put_contents' : OK",
  "INSTALL_INFO_GD":"Función necesaria 'gd_info' : OK",
+ "INSTALL_INFO_MB":"Función necesaria 'mb_internal_encoding' : OK",
  "INSTALL_INFO_MYSQLICONNECT":"Función necesaria 'mysqli_connect' : OK",
  "INSTALL_INFO_PHPV":"Version de PHP ($1) compatible : OK",
  "INSTALL_INFO_PHPXML":"Función necesaria 'simplexml_load_file' : OK",

+ 2 - 0
locale/fr.json

@@ -30,6 +30,7 @@
  "INSTALL_ERROR_FILEGET":"La fonction requise 'file_get_contents' est inaccessible sur votre serveur, vérifiez votre version de PHP.",
  "INSTALL_ERROR_FILEPUT":"La fonction requise 'file_put_contents' est inaccessible sur votre serveur, vérifiez votre version de PHP.",
  "INSTALL_ERROR_GD":"La fonction requise 'gd_info' est inaccessible sur votre serveur, vérifiez votre version de PHP.",
+ "INSTALL_ERROR_MB":"La fonction requise 'mb_internal_encoding' est inaccessible sur votre serveur, vérifiez votre version de PHP.",
  "INSTALL_ERROR_MYSQLICONNECT":"La fonction requise 'mysqli_connect' est inaccessible sur votre serveur, vérifiez votre installation de MySql.",
  "INSTALL_ERROR_PHPV":"Votre version de PHP ($1) est trop ancienne, il est possible que certaines fonctionnalités du script comportent des dysfonctionnements.",
  "INSTALL_ERROR_PHPXML":"La fonction requise 'simplexml_load_file' est inaccessible sur votre serveur, vérifiez votre version de PHP.",
@@ -42,6 +43,7 @@
  "INSTALL_INFO_FILEGET":"Fonction requise 'file_get_contents' : OK",
  "INSTALL_INFO_FILEPUT":"Fonction requise 'file_put_contents' : OK",
  "INSTALL_INFO_GD":"Fonction requise 'gd_info' : OK",
+ "INSTALL_INFO_MB":"Fonction requise 'mb_internal_encoding' : OK",
  "INSTALL_INFO_MYSQLICONNECT":"Fonction requise 'mysqli_connect' : OK",
  "INSTALL_INFO_PHPV":"Compatibilité version PHP ($1) : OK",
  "INSTALL_INFO_PHPXML":"Fonction requise 'simplexml_load_file' : OK",